libvisio::VSDStencil Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDStencil Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDStencil ()
| VSDStencil (const VSDStencil &stencil)=default
| ~VSDStencil ()
VSDStencil & | operator= (const VSDStencil &stencil)=default
void | addStencilShape (unsigned id, const VSDShape &shape)
void | setFirstShape (unsigned id)
const VSDShape * | getStencilShape (unsigned id) const

## Public Attributes
std::map< unsigned, VSDShape > | m_shapes
double | m_shadowOffsetX
double | m_shadowOffsetY
unsigned | m_firstShapeId

## Constructor & Destructor Documentation

## ◆ VSDStencil() [1/2]

libvisio::VSDStencil::VSDStencil | ( |  | ) |

## ◆ VSDStencil() [2/2]

libvisio::VSDStencil::VSDStencil | ( | const VSDStencil & | stencil | ) |
| default

## ◆ ~VSDStencil()

libvisio::VSDStencil::~VSDStencil | ( |  | ) |

## Member Function Documentation

## ◆ addStencilShape()

void libvisio::VSDStencil::addStencilShape | ( | unsigned | id,
|  | const VSDShape & | shape )

## ◆ getStencilShape()

const libvisio::VSDShape * libvisio::VSDStencil::getStencilShape | ( | unsigned | id | ) | const

Referenced by libvisio::VSDStencils::getStencilShape(), and libvisio::VSDXMLParserBase::readShape().

## ◆ operator=()

VSDStencil & libvisio::VSDStencil::operator= | ( | const VSDStencil & | stencil | ) |
| default

## ◆ setFirstShape()

void libvisio::VSDStencil::setFirstShape | ( | unsigned | id | ) |

## Member Data Documentation

## ◆ m_firstShapeId

unsigned libvisio::VSDStencil::m_firstShapeId

Referenced by libvisio::VSDStencils::getStencilShape(), and libvisio::VSDXMLParserBase::readShape().

## ◆ m_shadowOffsetX

double libvisio::VSDStencil::m_shadowOffsetX

## ◆ m_shadowOffsetY

double libvisio::VSDStencil::m_shadowOffsetY

## ◆ m_shapes

std::map<unsigned, VSDShape> libvisio::VSDStencil::m_shapes

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp